package javax.naming.event;

import javax.naming.NamingException;
import javax.naming.directory.SearchControls;
import javax.naming.Name;
import javax.naming.directory.DirContext;

public interface EventDirContext extends EventContext, DirContext
{
    public abstract void addNamingListener(Name p0, String p1, SearchControls p2, NamingListener p3) throws NamingException;
    
    public abstract void addNamingListener(String p0, String p1, SearchControls p2, NamingListener p3) throws NamingException;
    
    public abstract void addNamingListener(Name p0, String p1, Object[] p2, SearchControls p3, NamingListener p4) throws NamingException;
    
    public abstract void addNamingListener(String p0, String p1, Object[] p2, SearchControls p3, NamingListener p4) throws NamingException;
}
